Bug 625761 - mcelog: warning: record length longer than expected. Consider update.
Summary: mcelog: warning: record length longer than expected. Consider update.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mcelog   
(Show other bugs)
Version: 5.5
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-20 11:41 UTC by clive darra
Modified: 2010-08-27 13:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-27 13:33:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description clive darra 2010-08-20 11:41:46 UTC
Description of problem:
run mcelog
get
mcelog: warning: record length longer than expected. Consider update.


Version-Release number of selected component (if applicable):

mcelog-0.9pre-1.29.el5

How reproducible:

everytime

Steps to Reproduce:
1.run mcelog
2.
3.
  
Actual results:
mcelog: warning: record length longer than expected. Consider update.


Expected results:
OK

Additional info:
same bug in fedora 
https://bugzilla.redhat.com/show_bug.cgi?id=507026

DOWNGRADE WORKS
# rpm -q mcelog
mcelog-0.9pre-1.27.el5

! DOESNT WORK !
# rpm -q mcelog
mcelog-0.9pre-1.29.el5

UPGRADE WORKS
# mcelog --version
mcelog 1.0pre

Comment 1 Prarit Bhargava 2010-08-24 13:51:21 UTC
Hi -- which kernel version are you using?  AFAICT, RHEL5.5's kernel 2.6.18-194.el5 *works* with RHEL5.5's mcelog-0.9pre-1.29.el5.

P.

Comment 2 clive darra 2010-08-25 21:19:56 UTC
i seem to be using 

$uname -a
Linux 2.6.32.2-xxxx-std-ipv4-64 #1 SMP Tue Dec 29 14:40:33 UTC 2009 x86_64 x86_64 x86_64 GNU/Linux

Comment 3 Prarit Bhargava 2010-08-26 14:39:54 UTC
(In reply to comment #2)
> i seem to be using 
> 
> $uname -a
> Linux 2.6.32.2-xxxx-std-ipv4-64 #1 SMP Tue Dec 29 14:40:33 UTC 2009 x86_64
> x86_64 x86_64 GNU/Linux

You're not using a standard RHEL kernel?

P.

Comment 4 clive darra 2010-08-27 13:27:35 UTC
i afraid i just use whatever kernel my webhost provides

Comment 5 Prarit Bhargava 2010-08-27 13:33:53 UTC
(In reply to comment #4)
> i afraid i just use whatever kernel my webhost provides

They're not using a RHEL kernel.  Red Hat does not support this configuration.

P.


Note You need to log in before you can comment on or make changes to this bug.